### Class

# Dex AsyncPair

#### Description

    final class Dex.AsyncPair : GObject.TypeInstance
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- DexFuture
- DexObject

#### Constructors

###### dex_async_pair_new

No description available.

#### Instance methods

###### dex_async_pair_get_cancellable

Gets the cancellable for the async pair.

###### dex_async_pair_return_boolean

No description available.

###### dex_async_pair_return_boxed

Resolves `async_pair` with `instance`.

###### dex_async_pair_return_error

Rejects `async_pair` with `error`.

###### dex_async_pair_return_int64

No description available.

###### dex_async_pair_return_object

Resolves `async_pair` with a value of `instance`.

###### dex_async_pair_return_string

Resolves `async_pair` with `value`.

###### dex_async_pair_return_uint64

No description available.

###### dex_async_pair_return_variant

Resolves `async_pair` with `variant`.

###### dex_async_pair_set_cancel_on_discard

Sets whether or not the future should cancel the async operation when the future is discarded. This happens when no more futures are awaiting the completion of this future.

since: 0.4

##### Methods inherited from DexFuture (25)

Please see DexFuture for a full list of methods.

##### Methods inherited from DexObject (2)

###### dex_ref

Acquires a reference on the given object, and increases its reference count by one.

###### dex_unref

Releases a reference on the given object, and decreases its reference count by one.